
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Jquery 学习笔记（二）jQuery性能优化指南 / iVAN</title>

    <meta name="description" content="Jquery 学习笔记（二）jQuery性能优化指南 Jquery 学习笔记(二) -jQuery性能优化指南 2009年11月30日 一 作者:   邦畿千里   1,总是从ID选择器开始继承 在jQuery中最快的选择器是ID选择器,因为它直接来自于JavaScript的getElementById()方法. 例如有一段HTML代码: &lt;div id=&quot;content&quot;&gt; &lt;form method=&quot;post&quot; action=&quot;#&quot;&gt; &lt;h2&gt;交通信 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Jquery 学习笔记（二）jQuery性能优化指南</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>Jquery 学习笔记（二）</h1>
<p>-jQuery性能优化指南</p>
<table>
<tbody>
<tr>
<td>
<br />2009年11月30日 一</p>
<p>作者:   邦畿千里</p>
<p> </p>
</td>
</tr>
</tbody>
</table>
<p><strong>1</strong><strong>，总是从</strong><strong>ID</strong><strong>选择器开始继承</strong><br /> <br />在jQuery中最快的选择器是ID选择器，因为它直接来自于JavaScript的getElementById()方法。</p>
<p>例如有一段HTML代码：</p>
<p>&lt;div id="content"&gt;</p>
<p>&lt;form method="post" action="#"&gt;</p>
<p>&lt;h2&gt;交通信号灯&lt;/h2&gt;</p>
<p>&lt;ul id="traffic_light"&gt;</p>
<p>&lt;li&gt;&lt;input type="radio" class="on" name="light" value="red" /&gt; 红色&lt;/li&gt;</p>
<p>&lt;li&gt;&lt;input type="radio" class="off" name="light" value="yellow" /&gt; 黄色&lt;/li&gt;</p>
<p>&lt;li&gt;&lt;input type="radio" class="off" name="light" value="green" /&gt; 绿色&lt;/li&gt;</p>
<p>&lt;/ul&gt;</p>
<p>&lt;input class="button" id="traffic_button" type="submit" value="Go" /&gt;</p>
<p>&lt;/form&gt;</p>
<p>&lt;/div&gt;</p>
<p>如果采用下面的选择器，那么效率是低效的。<br />var traffic_button = $("#content .button");</p>
<p>因为button已经有ID了，我们可以直接使用ID选择器。如下所示：<br />var traffic_button = $("#traffic_button");</p>
<p>当然 这只是对于单一的元素来讲。如果你需要选择多个元素，这必然会涉及到 DOM遍历和循环，<br />为了提高性能，建议从最近的ID开始继承。<br />如下所示：<br />var traffic_lights = $("#traffic_light input");</p>
<p> </p>
<p><strong>2</strong><strong>，在</strong><strong>class</strong><strong>前使用</strong><strong>tag(</strong><strong>标签名</strong><strong>)</strong></p>
<p> </p>
<p>在jQuery中第二快的选择器是tag(标签)选择器( 比如：$("head") )。<br />跟ID选择器累时，因为它来自原生的getElementsByTagName() 方法。</p>
<p>继续看刚才那段HTML代码：</p>
<p>&lt;div id="content"&gt;</p>
<p>&lt;form method="post" action="#"&gt;</p>
<p>&lt;h2&gt;交通信号灯&lt;/h2&gt;</p>
<p>&lt;ul id="traffic_light"&gt;</p>
<p>&lt;li&gt;&lt;input type="radio" class="on" name="light" value="red" /&gt; 红色&lt;/li&gt;</p>
<p>&lt;li&gt;&lt;input type="radio" class="off" name="light" value="yellow" /&gt; 黄色&lt;/li&gt;</p>
<p>&lt;li&gt;&lt;input type="radio" class="off" name="light" value="green" /&gt; 绿色&lt;/li&gt;</p>
<p>&lt;/ul&gt;</p>
<p>&lt;input class="button" id="traffic_button" type="submit" value="Go" /&gt;</p>
<p>&lt;/form&gt;</p>
<p>&lt;/div&gt;</p>
<p> </p>
<p>比如需要选择 红绿 单选框，<br />那么可以使用一个tag name来限制(修饰)class ，如下所示：<br />var active_light = $("input.on");<br />当然也可以结合 就近的ID，如下所示：<br />var active_light = $("#traffic_light input.on");</p>
<p>在使用tag来修饰class的时候，我们需要注意以下几点：<br /> （1） 不要使用tag来修饰ID，如下所示：<br />  var content = $("div#content");<br />  这样一来，选择器会先遍历所有的div元素，然后匹配#content。<br /> （好像jQuery从1.3.1开始改变了选择器核心后，不存在这个问题了。暂时无法考证。）</p>
<p> （2）不要画蛇添足的使用ID来修饰ID，如下所示：<br />  var traffic_light = $("#content #traffic_light");</p>
<p> </p>
<p>注：如果使用属性选择器，也请尽量使用tag来修饰，如下所示：</p>
<p>$('p[row="c3221"]').html();而不是这样：$('[row="c3221"]').html();</p>
<p> </p>
<p>特别提示：</p>
<p>tag.class 的方式 在IE下的性能  好于 .class 方式。<br />但在Firefox下  却低于 直接 .class方式。<br />Google浏览器下两种都差不多。<br />我页面上有300个元素，他们的性能差距都在50毫秒以内。</p>
<p> </p>
<p> </p>
<p><strong>3</strong><strong>，将</strong><strong>jQuery</strong><strong>对象缓存起来</strong></p>
<p> </p>
<p>把jQuery对象缓存起来 就是要告诉我们 要养成将jQuery对象缓存进变量的习惯。<br />下面是一个jQuery新手写的一段代码：</p>
<p>$("#traffic_light input.on").bind("click", function(){ ... });</p>
<p>$("#traffic_light input.on").css("border", "1px dashed yellow");</p>
<p>$("#traffic_light input.on").css("background-color", "orange");</p>
<p>$("#traffic_light input.on").fadeIn("slow");</p>
<p>但切记不要这么做。</p>
<p>我们应该先将对象缓存进一个变量然后再操作，如下所示：</p>
<p>var $active_light = $("#traffic_light input.on");</p>
<p>$active_light.bind("click", function(){ ... });</p>
<p>$active_light.css("border", "1px dashed yellow");</p>
<p>$active_light.css("background-color", "orange");</p>
<p>$active_light.fadeIn("slow");</p>
<p>记住，永远不要让相同的选择器在你的代码里出现多次.</p>
<p>注：（1）为了区分普通的JavaScript对象和jQuery对象，可以在变量首字母前加上 $ 符号。<br /> （2）上面代码可以使用jQuery的链式操作加以改善。如下所示：</p>
<p>var $active_light = $("#traffic_light input.on");</p>
<p>$active_light.bind("click", function(){ ... })</p>
<p>                    .css("border", "1px dashed yellow")</p>
<p>                    .css("background-color", "orange")</p>
<p>                    .fadeIn("slow");</p>
<p>  </p>
<p>如果你打算在其他函数中使用jQuery对象，那么你必须把它们缓存到全局环境中。<br />如下代码所示：</p>
<p> </p>
<p>// 在全局范围定义一个对象 (例如: window对象)</p>
<p>window.$my = {</p>
<p>head : $("head"),</p>
<p>traffic_light : $("#traffic_light"),</p>
<p>traffic_button : $("#traffic_button")</p>
<p>};</p>
<p>function do_something(){</p>
<p>// 现在你可以引用存储的结果并操作它们</p>
<p>var script = document.createElement("script");</p>
<p> $my.head.append(script);</p>
<p>// 当你在函数内部操作是, 可以继续将查询存入全局对象中去.</p>
<p>$my.cool_results = $("#some_ul li");</p>
<p>$my.other_results = $("#some_table td");</p>
<p> // 将全局函数作为一个普通的jquery对象去使用.</p>
<p>$my.other_results.css("border-color", "red");</p>
<p> $my.traffic_light.css("border-color", "green");</p>
<p>}</p>
<p> </p>
<p>//你也可以在其他函数中 使用它</p>
<p><strong>4</strong><strong>，对直接的</strong><strong>DOM</strong><strong>操作进行限制</strong></p>
<p> </p>
<p>这里的基本思想是在内存中建立你确实想要的东西，然后更新DOM 。</p>
<p>这并不是一个jQuery最佳实践，但必须进行有效的JavaScript操作 。直接的DOM操作速度很慢。</p>
<p>例如，你想动态的创建一组列表元素，千万不要这样做,如下所示：</p>
<p>var top_100_list = [...], // 假设这里是100个独一无二的字符串</p>
<p>$mylist = $("#mylist"); // jQuery 选择到 &lt;ul&gt; 元素</p>
<p>for (var i=0, l=top_100_list.length; i&lt;l; i++){</p>
<p>  $mylist.append("&lt;li&gt;" + top_100_list[i] + "&lt;/li&gt;");</p>
<p>}</p>
<p>我们应该将整套元素字符串在插入进dom中之前先全部创建好，如下所示：</p>
<p>var top_100_list = [...],$mylist = $("#mylist"), top_100_li = ""; // 这个变量将用来存储我们的列表元素</p>
<p>for (var i=0, l=top_100_list.length; i&lt;l; i++){</p>
<p>   top_100_li += "&lt;li&gt;" + top_100_list[i] + "&lt;/li&gt;";</p>
<p>}</p>
<p>$mylist.html(top_100_li);</p>
<p>注：记得以前还看过一朋友写过这样的代码：</p>
<p>for (i = 0; i &lt; 1000; i++) {</p>
<p>    var $myList = $('#myList');</p>
<p>    $myList.append('This is list item ' + i);</p>
<p>}</p>
<p>呵呵，你应该已经看出问题所在了。既然把#mylist循环获取了1000次！！！</p>
<p> </p>
<p><strong>5</strong><strong>，冒泡</strong></p>
<p> </p>
<p>除非在特殊情况下, 否则每一个js事件(例如:click, mouseover等.)都会冒泡到父级节点。<br />当我们需要给多个元素调用同个函数时这点会很有用。</p>
<p>代替这种效率很差的多元素事件监听的方法就是, 你只需向它们的父节点绑定一次。</p>
<p>比如, 我们要为一个拥有很多输入框的表单绑定这样的行为: 当输入框被选中时为它添加一个class</p>
<p>传统的做法是，直接选中input，然后绑定focus等，如下所示：</p>
<p>$("#entryform input").bind("focus", function(){</p>
<p>    $(this).addClass("selected");</p>
<p>}).bind("blur", function(){</p>
<p>    $(this).removeClass("selected");</p>
<p>});</p>
<p>当然上面代码能帮我们完成相应的任务，但如果你要寻求更高效的方法，请使用如下代码：</p>
<p>$("#entryform").bind("focus", function(e){</p>
<p>    var $cell = $(e.target); // e.target 捕捉到触发的目标元素</p>
<p>    $cell.addClass("selected");</p>
<p>}).bind("blur", function(e){</p>
<p>    var $cell = $(e.target);</p>
<p>    $cell.removeClass("selected");</p>
<p>});</p>
<p>通过在父级监听获取焦点和失去焦点的事件，对目标元素进行操作。<br />在上面代码中，父级元素扮演了一个调度员的角色, 它可以基于目标元素绑定事件。<br />如果你发现你给很多元素绑定了同一个事件监听, 那么现在的你肯定知道哪里做错了。</p>
<p> </p>
<p>同理，在Table操作时，我们也可以使用这种方式加以改进代码：</p>
<p>普通的方式：</p>
<p>$('#myTable td').click(function(){</p>
<p>    $(this).css('background', 'red');</p>
<p>});</p>
<p> 改进方式：</p>
<p>$('#myTable').click(function(e) {</p>
<p>     var $clicked = $(e.target);</p>
<p>     $clicked.css('background', 'red');</p>
<p>});</p>
<p>假设有100个td，在使用普通的方式的时候，你绑定了100个事件。</p>
<p>在改进方式中，你只为一个元素绑定了1个事件，</p>
<p>至于是100个事件的效率高，还是1个事件的效率高，相信你也能自行分辨了。</p>
<p> </p>
<p> </p>
<p><strong>6</strong><strong>，推迟到</strong><strong> $(window).load</strong></p>
<p> </p>
<p>jQuery对于开发者来说有一个很诱人的东西, 可以把任何东西挂到$(document).ready下。<br />尽管$(document).ready 确实很有用， 它可以在页面渲染时，其它元素还没下载完成就执行。<br />如果你发现你的页面一直是载入中的状态，很有可能就是$(document).ready函数引起的。</p>
<p>你可以通过将jQuery函数绑定到$(window).load 事件的方法来减少页面载入时的cpu使用率。<br />它会在所有的html(包括&lt;iframe&gt;)被下载完成后执行。</p>
<p>$(window).load(function(){</p>
<p>    // 页面完全载入后才初始化的jQuery函数.</p>
<p>});</p>
<p>一些特效的功能，例如拖放, 视觉特效和动画, 预载入隐藏图像等等，都是适合这种技术的场合。</p>
<p> </p>
<p><strong>7</strong><strong>，压缩</strong><strong>JavaScript</strong></p>
<p> </p>
<p>压缩和最小化你的JavaScript文件。</p>
<p> </p>
<p>在线压缩地址: <a href="http://dean.edwards.name/packer/" rel="external nofollow noreferrer">http://dean.edwards.name/packer/</a><br />压缩之前，请保证你的代码的规范性，否则可能失败，导致Js错误。</p>
<p><strong>8</strong><strong>，尽量使用</strong><strong>ID</strong><strong>代替</strong><strong>Class</strong><strong>。</strong></p>
<p> </p>
<p>前面性能优化已经说过，ID选择器的速度是最快的。所以在HTML代码中，能使用ID的尽量使用ID来代替class。<br />看下面的一个例子：</p>
<p>// 创建一个list</p>
<p>var $myList = $('#myList');</p>
<p>var myListItems = '&lt;ul&gt;';</p>
<p>for (i = 0; i &lt; 1000; i++) {</p>
<p>     myListItems += '&lt;li class="listItem' + i + '"&gt;This is a list item&lt;/li&gt;'; //这里使用的是class</p>
<p> }</p>
<p>myListItems += '&lt;/ul&gt;';</p>
<p>$myList.html(myListItems);</p>
<p>// 选择每一个 li</p>
<p> for (i = 0; i &lt; 1000; i++) {</p>
<p>    var selectedItem = $('.listItem' + i);</p>
<p>}</p>
<p> </p>
<p>在代码最后，选择每个li的过程中，总共用了5066毫秒，超过5秒了。</p>
<p>接着我们做一个对比，用ID代替class：</p>
<p> </p>
<p>// 创建一个list</p>
<p>var $myList = $('#myList');</p>
<p>var myListItems = '&lt;ul&gt;';</p>
<p>for (i = 0; i &lt; 1000; i++) {</p>
<p>    myListItems += '&lt;li id="listItem' + i + '"&gt;This is a list item&lt;/li&gt;'; //这里使用的是id</p>
<p>}</p>
<p>myListItems += '&lt;/ul&gt;';</p>
<p>$myList.html(myListItems);</p>
<p> // 选择每一个 li</p>
<p>for (i = 0; i &lt; 1000; i++) {</p>
<p>     var selectedItem = $('#listItem' + i);</p>
<p>}</p>
<p> </p>
<p>在上段代码中，选择每个li总共只用了61毫秒，相比class的方式，将近快了100倍。</p>
<p> </p>
<p> </p>
<p> </p>
<p><strong>9</strong><strong>，给选择器一个上下文</strong></p>
<p> </p>
<p>jQuery选择器中有一个这样的选择器，它能指定上下文。<br />jQuery( expression, context );</p>
<p>通过它，能缩小选择器在DOM中搜索的范围，达到节省时间，提高效率。<br />普通方式：<br />$('.myDiv')<br />改进方式：<br />$('.myDiv' , $("#listItem") )</p>
<p> </p>
<p> </p>
<p><strong>10</strong><strong>，慎用</strong><strong> .live()</strong><strong>方法（应该说尽量不要使用）</strong></p>
<p> </p>
<p>这是jQuery1.3.1版本之后增加的方法，这个方法的功能就是为 新增的DOM元素 动态绑定事件。<br />但对于效率来说，这个方法比较占用资源。所以请尽量不要使用它。<br />例如有这么一段代码:</p>
<p>&lt;script type="text/javascript" &gt;</p>
<p>$(function(){</p>
<p> $("p").click(function(){</p>
<p>     alert( $(this).text() );</p>
<p> });</p>
<p>$("button").click(function(){</p>
<p>    $("&lt;p&gt;this is second p&lt;/p&gt;").appendTo("body");</p>
<p>});</p>
<p>}) &lt;/script&gt;</p>
<p>&lt;body&gt;</p>
<p>&lt;p&gt;this is first p&lt;/p&gt; &lt;button&gt;add&lt;/button&gt;</p>
<p>&lt;/body&gt;</p>
<p>运行后，你会发现 新增 的 p元素，并没用被绑定click事件。</p>
<p>你可以改成.live("click")方式解决此问题，代码如下：</p>
<p>$(function(){</p>
<p>$("p").live("click",function(){ //改成live方式</p>
<p>     alert( $(this).text() );</p>
<p> });</p>
<p>$("button").click(function(){ $("&lt;p&gt;this is second p&lt;/p&gt;").appendTo("body"); });})</p>
<p>但我并不建议大家这么做，我想用另一种方式去解决这个问题，代码如下：</p>
<p>$(function(){</p>
<p>$("p").click(function(){</p>
<p>    alert( $(this).text() );</p>
<p>});</p>
<p>$("button").click(function(){</p>
<p>    $("&lt;p&gt;this is second p&lt;/p&gt;").click(function(){  //为新增的元素重新绑定一次</p>
<p>            alert( $(this).text() );</p>
<p>    }).appendTo("body");</p>
<p>});</p>
<p>})</p>
<p>虽然我把绑定事件重新写了一次，代码多了点，但这种方式的效率明显高于live()方式，<br />特别是在频繁的DOM操作中，这点非常明显。</p>
<p> </p>
<p><strong>11</strong><strong>，子选择器和后代选择器</strong></p>
<p> </p>
<p>后代选择器经常用到，比如：$("#list  p");<br />后代选择器获取的是元素内部所有元素。</p>
<p>而有时候实际只要获取 子元素，那么就不应该使用后代选择器。<br />应该使用子选择器，代码如下：<br />$("#list &gt; p");</p>
<p> </p>
<p> </p>
<p><strong>12</strong><strong>，使用</strong><strong>data()</strong><strong>方法存储临时变量</strong></p>
<p> </p>
<p>下面是一段非常简单的代码，</p>
<p>$(function(){</p>
<p>    var flag = false;</p>
<p>    $("button").click(function(){</p>
<p>        if(flag){</p>
<p>            $("p").text("true");</p>
<p>            flag=false;</p>
<p>        }else{</p>
<p>            $("p").text("false");</p>
<p>            flag=true;</p>
<p>        }</p>
<p>    });</p>
<p>})</p>
<p> </p>
<p>改用data()方式后，代码如下：</p>
<p>$(function(){</p>
<p>    $("button").click(function(){</p>
<p>        if( $("p").data("flag") ){</p>
<p>            $("p").text("true");</p>
<p>            $("p").data("flag",false);</p>
<p>        }else{</p>
<p>             $("p").text("false");</p>
<p>             $("p").data("flag",true);</p>
<p>        }</p>
<p>    });</p>
<p>})</p>
<p> </p>
<p><strong>13</strong><strong>，尽量使用原生的</strong><strong>JavaScript</strong><strong>方法</strong></p>
<p> </p>
<p>看下面一段代码，它用来判断多选框是否被选中：</p>
<p>$(document).ready(function(){ <br />    var $cr = $("#cr");  //jQuery对象 <br />     $cr.click(function(){<br />          if($cr.is(":checked")){ //jQuery方式判断<br />            alert("感谢你的支持!你可以继续操作！"); <br />          }<br />     })<br />});</p>
<p>上面代码中，判断是否选中是用了 jquery的方法，但这里可以直接使用原生的JavaScript方法，看下面代码：</p>
<p> </p>
<p>$(document).ready(function(){ <br />    var $cr = $("#cr");  //jQuery对象<br />    var cr = $cr.get(0); //DOM对象，获取 $cr[0]<br />        $cr.click(function(){ <br />             if(cr.checked){ //原生的JavaScript方式判断<br />                    alert("感谢你的支持!你可以继续操作!");<br />                }<br />        })<br />});</p>
<p> </p>
<p>毋庸置疑，第二种方式效率高于第一种方式，因为他不需要拐弯抹角的去调用许多函数。</p>
<p> </p>
<p>更多：</p>
<p>$(this).css("color","red");   ...... </p>
<p>改成：</p>
<p>this.style.color ="red"   ...... </p>
<p> </p>
<p>$("&lt;p&gt;&lt;/p&gt;")</p>
<p>改成:</p>
<p>$( document.createElement("p") )</p>
<p> </p>
<p> </p>
<p>有时候你也许根本不需要jQuery。（ 如果不涉及兼容性问题和自己的水平问题。）</p>
<p> </p>
<p> </p>
<p> </p>
<p><strong>14</strong><strong>，使用</strong><strong>for</strong><strong>代替</strong><strong>each()</strong><strong>方法</strong></p>
<p><strong>    </strong></p>
<p>    这个跟13有点类似，但我特意提取出来，让大家注意下。</p>
<p> </p>
<p> </p>
<p>1.         <strong>var</strong> array = <strong>new</strong> Array ();  </p>
<p>2.         <strong>for</strong> (<strong>var</strong> i=0; i&lt;10000; i++) {  </p>
<p>3.             array[i] = 0;  </p>
<p>4.         }  </p>
<p> </p>
<p>1.         $.each (array, <strong>function</strong> (i) {  </p>
<p>2.             array[i] = i;  </p>
<p>3.         });  </p>
<p> <strong>15</strong><strong>，使用</strong><strong>join()</strong><strong>来拼接字符串。</strong></p>
<p>    </p>
<p>    也许你之前一直使用 " +  " 来 拼接长字符串。现在你可以改改了。虽然它可能会有点奇怪，但它确实有助于优化性能，尤其是长字符串处理的时候。</p>
<p> </p>
<p>    首先创建一个数组，然后循环，最后使用join()把数组转化为字符串。</p>
<p> </p>
<p>      <br /><strong>     var</strong> array = [];  </p>
<p>    <strong>for</strong> (<strong>var</strong> i=0; i&lt;=10000; i++) {       </p>
<p>        array[i] = '&lt;li&gt;'+i+'&lt;/li&gt;';  </p>
<p>    }     </p>
<p>    $('#list').html (array.join (''));  </p>
<p> </p>
<p> </p>
<p> </p>
<p> <strong>16</strong><strong>，</strong><strong>Ajax</strong><strong>中文乱码。</strong></p>
<p>    </p>
<p>  Ajax传递中文时会乱码，传统方式大家都是利用escape去编码，然后去后台解码。</p>
<p><strong>$.ajax({</strong><strong><br /></strong><strong>   type: "POST",</strong><strong><br /></strong><strong>   url: "AjaxTest.jsp",</strong><strong><br /></strong><strong>   data: "txt="+$('#txt').val(),</strong><strong><br /></strong><strong>   success: function(msg){</strong><strong><br /></strong><strong>     $("#AjaxResponse").text(msg);</strong><strong><br /></strong><strong>   }</strong><strong><br /></strong><strong>});</strong></p>
<p> </p>
<p>现在你可以换一换了，你可以非常简单的解决这个问题，只需要添加一参数即可：</p>
<p> $.ajax({<br />   type: "POST",<br />   url: "AjaxTest.jsp",<br />   data: "txt="+$('#tbox1').val(),<br />   success: function(msg){<br />     $("#AjaxResponse").text(msg);<br />   },<br />   <strong>contentType:"application/x-www-form-urlencoded;charset=utf-8"</strong><br />});</p>
<p> </p>
<p> </p>
<p>英文原文：<a href="http://www.artzstudio.com/2009/04/jquery-performance-rules/" rel="external nofollow noreferrer">http://www.artzstudio.com/2009/04/jquery-performance-rules/</a></p>
<p>中文翻译：<a href="http://rlog.cn/350" rel="external nofollow noreferrer">http://rlog.cn/350</a> &amp; <a href="http://cssrain.cn/" rel="external nofollow noreferrer">http://cssrain.cn</a></p>
<h2> </h2>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:01:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/input/" title="input">input</a>, <a href="https://www.iamivan.net/tag/type/" title="type">type</a>, <a href="https://www.iamivan.net/tag/list/" title="list">list</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd%e4%bc%98%e5%8c%96/" title="性能优化">性能优化</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/css/" title="css">css</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Jquery 学习笔记（二）jQuery性能优化指南的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyeQWkM.html" rel="bookmark">jQuery学习笔记之jQuery的Ajax（3）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jQuery学习笔记之jQuery的Ajax(3) 6.jQuery的Ajax插件 源码地址: https://github.com/iyun/jQueryDemo.git ---------------------------- 6.0 jQuery ajax 浏览器给我们提供的XMLHttpRequest的作用是来发送http请求. js代码发送一个http的请求 XMLHttpRequest的四步:创建对象.注册监听.建立连接.发送数据 异步交互的6个方法(发送http请求) ajax()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0KJ9p.html" rel="bookmark">jQuery学习笔记&lbrack;1&rsqb; jQuery中的DOM操作&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DOM分为3个方面,即DOM Core,HTML-DOM,CSS-DOM. 1,DOM Core并不专属于JavaScript,任何一种支持DOM的程序设计语言都可以使用它. JavaScript中的getElementById(),getElementsByTagName()...等方法. 例如:使用DOM Core来获取表单对象的方法: document.getElementsByTagName(&quot;form&quot;); 2,HTML-DOM. 在使用JavaScript和DOM为HTML			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Gm7Yp.html" rel="bookmark">jQuery学习笔记之jQuery构建函数的7种方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:$(selectorStr[,限制范围]),接受一个选择器(符合jQuery规范的字符串),返回一个jQuery对象; 复制代码 代码如下:  //$(selector[,限制范围])         $(&quot;.guo&quot;).click(function () {//这里没有context参数             $(&quot;a.aguo&quot;, this).css({&quot;color&quot;:&quot;red&quot;});//this就是context参			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4WPG8p.html" rel="bookmark">JQuery 学习笔记01 JQuery初接触&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.下载官方网址是http://jquery.com/官方下载地址:http://docs.jquery.com/Downloading_jQuery里边有当前版本和历史版本的下载,可以下载下来部署在自己的服务器上上面也有Google\Microsoft\jQuery的CDN(Content Delivery Network)地址,由于目前jQuery的广泛使用,选择CDN地址可以充分利用缓存和这些互联网大佬们的带宽和服务器资源.官网上下载有两种版本Compressed(Minified ver			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1VNBb.html" rel="bookmark">jQuery学习笔记之jQuery中的&dollar;&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在jQuery中,最常用的莫过于使用美元符号$,它提供了各种各样的丰富功能.包括选择页面中一个或者一类元素.作为功能函数的前缀.windows.onload的完善,创建DOM节点等.本文介绍jQuery的用法.作为基础 1.选择器 在css中,选择器的作用是选择页面的某一类(类别选择器)元素或者某个(id选择器).而jQuery中的&quot;$&quot;作为选择器,同样是选择某类或者某个元素,只不过jQuery提供了更全面的选择方式.而且为用户处理了浏览器兼容问题. 例如在在css&lt;h2&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKNKnz.html" rel="bookmark">jquery学习笔记二 实现可编辑的表格&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实现可编辑的表格demo: 实例图: 代码: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head runa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDk4X0p.html" rel="bookmark">jquery学习笔记 用jquery实现无刷新登录&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				好了,唠嗑就到这里,现在看如何用jquery实现无刷新登录. 首先先创建html的部分 复制代码 代码如下: &lt;table&gt; &lt;tr&gt; &lt;td&gt; 用户名: &lt;/td&gt; &lt;td&gt; &lt;input type=&quot;text&quot; id=&quot;username&quot; /&gt; &lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td&gt; 密码: &lt;/td&gt; &lt;td&gt; &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkXO2z.html" rel="bookmark">jQuery学习笔记之jQuery的事件&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.事件绑定 1.事件绑定函数 事件的绑定函数为如下形式: .bind(type [,data],fn) type:类型 如click..... data:参数 fn:事件执行的函数 例子 复制代码 代码如下: $(function(){ $(#id1).click(function(){ $(#id2).show();//id2显示 }) ; }); 二.合成事件 1.鼠标滑过事件 .hover(enter,leave) enter:鼠标光标移动到对象时触发的函数 leave:鼠标光标移出对象			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3XOQkM.html" rel="bookmark">jQuery学习笔记 操作jQuery对象 文档处理&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面就是一些常用方法,格式为$(selector).方法,其中$(selector)即当前选定元素:   移动元素 方法 描述 append($(selector)) 向当前元素的内部追加内容 appendTo($(selector)) 将当前元素在某元素内部追加.但由于会根据需要对当前元素进行移动,所以jQuery对象更改了,可用end()还原 prepend($(selector)) 向当前元素的内部前置内容 prependTo($(selector)) 将当前元素在某元素内部前置.类似于a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8w7Ab.html" rel="bookmark">jQuery学习笔记 获取jQuery对象&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用jQuery选择器选择页面元素,目的是为了生成jQuery对象,语法相当简单:$(selector).但值得注意的是,这是生成jQuery对象,不是DOM对象,因此$(selector).innerHTML以获取元素内部HTML代码是错误的,正确写法是$(selector).html().同样的,判断一个DOM对象是否存在,不能够写成if($(selector)),而是if($(selector).length&gt;0). 当然jQuery对象和DOM对象可以互转换.从上面的例子也可以看出,jQ			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeynjz.html" rel="bookmark" class="title">我和Vc的故事（4）&mdash;&mdash;Vc的户口簿</a>
					<div>
						折腾过后,对VC的态度冷静了许多,已经知道VC的钱不好拿了,而且回到了解放前,只能老老实实做站. 简单说说05~06年间网站的发展情况. 2005年,网站排名2万,月收入1万,员工2名(还是自己,老婆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDGYXp.html" rel="bookmark" class="title">Fireworks MX2004中一款图标的制作方法&lpar;1&rpar;</a>
					<div>
						打开FWMX2004安装完毕后所在的文件夹,我们会找到一个名称为Samples的文件夹,其中有很多MM公司给我们的一些PNG格式的图片文件,打开名称为Shapes的文件,呵呵,是不是有几个漂亮的图形呈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV5rKp.html" rel="bookmark" class="title">浅谈从四方面分析网站为什么被K掉</a>
					<div>
						网站被K掉,大部分的站长都遇到过,而且如果没有经历过被K的痛苦就不会明白使用作弊方法的害处.对于网站被K掉,其实并不是什么伤心事,换个角度想想网站被K绝对是一件好事,因为被K所以你就要寻找原因,分析原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxRDKb.html" rel="bookmark" class="title">Windows Server 2003 DNS服务精讲</a>
					<div>
						本文我们来了解DNS服务器的配置和管理. 首先了解DNS服务的作用,什么时候用?怎 么用? 目前网络中,计算机通过IP地址来通信,IP地址用数字表示,记忆 起来太困难了,为计算机起一个好记的名字,一切 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4moAp.html" rel="bookmark" class="title">UVa 165：Stamps&comma; 连续邮资问题</a>
					<div>
						题目链接: http://uva.onlinejudge.org/index.php?option=com_onlinejudge&amp;Itemid=8&amp;category=108 类型:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2oxab.html" rel="bookmark" class="title">用Delphi7设计FTP上传软件</a>
					<div>
						随着宽带的不断普及,自己动手做网站的朋友也更多了.主页完工了,当然就要选择合适的免费空间,用FTP软件进行上传了.在这方面,可选择的上传软件有很多.那么有没有想过自己动手做一个呢?其实用Delphi就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKdPZM.html" rel="bookmark" class="title">ASP&period;NET IsLine FrameWork源码公开&plus;文章阅读索引</a>
					<div>
						ASP.NET企业开发框架IsLine FrameWork系列文章已经全部发布完毕,刚刚忙完手头的其他项目,现在把这个框架源码公开,重新上传至GoogleCode,过些时候会考虑开通SVN,看时间了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKyBWp.html" rel="bookmark" class="title">华硕主板检测不到硬盘怎么解决</a>
					<div>
						  华硕主板检测不到硬盘的解决方法 原因分析及解决: 进入U盘的PE系统(你可以去我的经验找一下,前面几篇都要讲到),我们双击桌面的分区工具 DiskGenius; .查看一下你是什么类型的分区表 识 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e3oAb.html" rel="bookmark" class="title">WPS2013表格中的数字转换为中文大写</a>
					<div>
						  将表示金额的阿拉伯数字转换为中文大写形式: 把鼠标移动到要设置为中文大写的单元格上,,点击格式菜单的单元格. 在弹出的单元格格式对话框中,在数字一栏中选择特殊,然后在右边类型栏选择人名币大写,确定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8x8Dp.html" rel="bookmark" class="title">如何让Windows只显示某些文件扩展名</a>
					<div>
						Windows的&quot;资源管理器&quot;有一个显示或隐藏文件扩展名的选项.如果选择了显示扩展名,一旦邮箱收到了&quot;图片.jpg.exe&quot;之类的恶意文件,完整的扩展名将使这类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywG4lz.html" rel="bookmark" class="title">BT下载是否会减少SSD的寿命？</a>
					<div>
						  我们先来看看SSD固态硬盘与传统机械硬盘的区别.通过下图可以看到,传统机械硬盘由盘片.磁头.转轴.控制电机等部分组成,工作时盘片转动.磁头定位在盘片的指定位置上进行读写操作,从某种意义上与老式留声 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8dR2b.html" rel="bookmark" class="title">kmplayer播放器切换音轨的方法</a>
					<div>
						  kmplayer播放器是一款来自韩国的全能影音播放器,并且该播放器能够支持主流媒体格式,但是有部分用户在使用该播放器时,却不知道如何切换kmplayer播放器的音轨,故此小编在这里为大家带来了km ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr8EJp.html" rel="bookmark" class="title">springmvc-新手求教、帮我看看这个登录代码错在哪里了、输入的用户名对但就是跳不过去，老是返回到登录页面</a>
					<div>
						问题描述 新手求教.帮我看看这个登录代码错在哪里了.输入的用户名对但就是跳不过去,老是返回到登录页面 public class LoginController extends BaseControll ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1K5yb.html" rel="bookmark" class="title">Get或Post提交值的非法数据处理&lowbar;php基础</a>
					<div>
						Get或Post提交值的非法数据处理 &lt;?php //********************************************************//-- 程序名称:StrS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQEDdp.html" rel="bookmark" class="title">checkbox-action中如何获取jsp页面append出来的标签值&quest;</a>
					<div>
						问题描述 action中如何获取jsp页面append出来的标签值? if($(&quot;&quot;#byUserId&quot;&quot;).is(&quot;&quot;:checked&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkBAqb.html" rel="bookmark" class="title">并发导论</a>
					<div>
						写在前面的话  由于之前工作中的疏忽,在使用Java多线程并发的时候出了问题,遂决心全面学习并发相关知识.写作本文的意图只是希望在写作过程中把想不清楚或是一时无法掌握的地方反复揣摩记录下来.写作本文参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoVm7b.html" rel="bookmark" class="title">VS2013安装问题：我装的win8&period;1的系统，连vs2013的下载的软件都打不开，这是怎么回事呢？</a>
					<div>
						问题描述 VS2013安装问题:我装的win8.1的系统,连vs2013的下载的软件都打不开,这是怎么回事呢? win8.1的系统是雨林木风的,看那个ghost的介绍是有framework 3.5 4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQGyYp.html" rel="bookmark" class="title">在使用webservice开发时，然后有一个地方要传入String类型&amp;amp&semi;amp&semi;amp&semi;Long类型，然后就是&period;&period;&period;</a>
					<div>
						问题描述 在使用webservice开发时,然后有一个地方要传入String类型&amp;Long类型,然后就是... 我的代码块Long stateId = null; Call call = co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqxEab.html" rel="bookmark" class="title">qt-QT QLineEdit光标问题</a>
					<div>
						问题描述 QT QLineEdit光标问题 继承QLineedit类,重写Fousinevent和Focusoutevent判断在哪个文本框编辑,可是两个文本框都有光标在闪 类中的两个事件代码是: v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA94GM.html" rel="bookmark" class="title">Python属性和方法</a>
					<div>
						关键字:Python 属性 方法原文:http://www.cafepy.com/article/python_attributes_and_methods/python_attributes_and ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBlNZb.html" rel="bookmark" class="title">莫湘兆：五一国际劳动节站长宣传推广必备手册</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 眼下四月炎热的天气在这美丽的国度活 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MY5dBxM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny8zNjc1MTcvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MY5dBxM.html" rel="bookmark" class="title">周末分享：美国商学院推荐的20部电影</a>
					<div>
						这 20部电影可以学到的商业社会必须的经济常识,以及每天都发生着的经济欺诈.这20部电影都是英语国家孩子在学习商业知识方面必须看的影片.其中包括哈佛 商学院一直排第一位的&lt;华尔街&gt;,还有沃 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZoxAM.html" rel="bookmark" class="title">如何在eclipse调试mapreduce程序</a>
					<div>
						     如何在eclipse或myeclipse调试mapreduce程序,这个可能是初学mr程序者碰到的一个难题 在hadoop1.2.1后,在下载的源代码中找不到hadoop-eclipse-p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmQVNb.html" rel="bookmark" class="title">dataGridView一个个单元格很浪费性能，动态频繁添加新数据该咋怎么弄好？</a>
					<div>
						问题描述 this.dataGridView1.Rows[index].Cells[0].Value=&quot;1&quot;;this.dataGridView1.Rows[index].Cell ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4349z.html" rel="bookmark" class="title">框架-关于Framework7的使用，framewoke7中的问题</a>
					<div>
						问题描述 关于Framework7的使用,framewoke7中的问题 图片中的if(!result.name) 是什么意思呢?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy8Gdz.html" rel="bookmark" class="title">bean-急求大神大神门解答hibernate的问题</a>
					<div>
						问题描述 急求大神大神门解答hibernate的问题 hibernate 属性关联的时候出现这样的问题 Error creating bean with name 'sessionFactory' R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22A3Qb.html" rel="bookmark" class="title">vb script-VB Script 怎么批量读取txt文件</a>
					<div>
						问题描述 VB Script 怎么批量读取txt文件 比如一个文件夹中有100个txt文件 读取所有的txt文件搜寻一列数字,把搜寻到这列数字所在的txt文件复制到本地的一个文件夹下					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLrBDM.html" rel="bookmark" class="title">NV称MacBook Air是未来笔记本的模板</a>
					<div>
						我们到底需要什么样的http://www.aliyun.com/zixun/aggregation/9600.html&quot;&gt;笔记本电脑?是更出色的性能还是超薄超便携的设计呢?对于这样的问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLR73M.html" rel="bookmark" class="title">高速增长的互联网支付，或许正面临&OpenCurlyDoubleQuote;软着陆&rdquo;</a>
					<div>
						易观国际近日发布的&lt;中国第三方支付年度盘点&gt;显示,中国第三方互联网支付的交易规模达到3.8万亿元人民币,同比2011年增长76%.而在2011年,中国第三方互联网支付全年交易额为2.16万 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrKo3p.html" rel="bookmark" class="title">一个CSS&plus;jQuery实现的放大缩小动画效果&lowbar;jquery</a>
					<div>
						今天帮朋友写了一些代码,自己觉得写着写着,好几个版本以后,有点满意,于是就贴出来. 都是定死了的.因为需求就只有4个元素.如果是要用CSS的class来处理,那就需要用到CSS3动画了. 功能 : 在 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.093 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
